#查询订单结果
#请求接口路径
/api/pos/order/queryResult#参数列表
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| orderId | String | 48 | 是 | 商户唯一订单号 |
| bizType | String | 32 | 是 | 交易类型, 枚举: Purchase |
#返回值
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| orderId | String | 48 | 是 | 第三方订单号 |
| orderNo | String | 32 | 是 | Palmpay唯一订单号 |
| bizType | String | 32 | 是 | 交易类型, 枚举: Purchase |
| amount | Long | - | 是 | 订单金额 |
| tid | String | 32 | 否 | 渠道tid |
| mid | String | 32 | 否 | 渠道mid |
| rrn | String | 12 | 否 | 渠道rrn |
| stan | String | 6 | 否 | 渠道stan |
| authCode | String | 20 | 否 | 授权id |
| status | Integer | 32 | 是 | 订单状态 WAIT_NOTIFY(1) // 待通知 WAIT_PAY(2) // 待支付 PAYING(3) // 支付中 PAYED(4) // 已支付 CANCEL_PAY(5) // 取消支付 SUCCESS(6) // 业务单成功 FAIL(7) // 业务单失败 PENDING(8) // 业务单Pending |
| channelRespCode | String | 2 | 否 | 渠道响应码 |
| remark | String | 256 | 是 | 备注 |
| acquirer | String | 32 | 否 | 收单行 |
| ptsp | String | 32 | 否 | 支付牌照 |
| cardNo | String | 20 | 是 | 卡号 |
| sn | String | 32 | 是 | 设备sn |
| createTime | Date | None | 是 | 订单创建时间 |
| businessId | String | 32 | 否 | 商户ID |
| businessName | String | 32 | 否 | 商户名称 |
| shopId | String | 32 | 否 | 店铺ID |
| shopName | String | 32 | 否 | 店铺名称 |
| phone | String | 20 | 否 | 手机号 |
#公共错误码
#Postman 请求示例
#request
curl --location --request POST 'https://open-gw-sandbox.palmpay-inc.com/api/pos/order/queryResult' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer L240910133611075343802' \
--header 'Signature: oRMwNDJSbCRcXbJlnWNNXc0F0b5aTd5gT5czLfUhyZCAxm6O9IuTIKQHAsIQNkPyaeEam5wfYGaJqhv/YVdDGxOBOIbSJ+RnJUrAt9QzBhMZxLQqLawLSf8x+t3wcKqMxItianKpY6m4Hsj/vUSXWSIJJLidxVLdEOnYswH6QnJom+u8LjeK0Prwh6qbK/mdvYhUezYKfkClk9T7l2iievvpIJlAZpYAc3Wmh/Lpe65EhZ7gvp/T0rPm2qB+q9ZuRRzLrwoq5Hix8aUtTlozTJFdoBr3ySdQVm472SLILKzVPRKvt+WGRAsgywJk70yPFTCk+nOsd48+9wLFXUcl4Q==' \
--header 'Content-Type: application/json' \
--data '{
"orderId": "2025test001",
"bizType": "Purchase",
"requestTime": 1546857549088,
"version": "V2.0",
"nonceStr": "tXIUBaQUUip97xhymcgvndYo6oSAvQXP"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderId": "2025test001",
"orderNo": null,
"bizType": "Purchase",
"amount": 100,
"tid": null,
"mid": null,
"rrn": null,
"stan": null,
"authCode": null,
"status": 5,
"channelRespCode": null,
"remark": null,
"acquirer": null,
"ptsp": null,
"cardNo": null,
"sn": "PBE5226U30494",
"createTime": 1738825867993,
"businessId": "123112303006271",
"businessName": "caojiangling limited",
"shopId": "224092509473031",
"shopName": "caojiangling3",
"phone": null
}
}